"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.dismiss = dismiss;
exports.getSharedData = getSharedData;
exports.openApp = openApp;

var _reactNative = require("react-native");

const LINKING_ERROR = `The package 'react-native-share-receiver' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo managed workflow\n';
const ShareReceiver = _reactNative.NativeModules.ShareReceiver ? _reactNative.NativeModules.ShareReceiver : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }

});

function dismiss(error) {
  ShareReceiver.dismiss(error);
}

function getSharedData() {
  return ShareReceiver.getSharedData();
}

function openApp() {
  if (_reactNative.Platform.OS === 'ios') {
    ShareReceiver.openApp();
  }
}
//# sourceMappingURL=index.js.map